## boost1.58 1.58.0%2Bdfsg

=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g,dversionmangle=s/\+dfsg$//" http://sf.net/boost/boost_([\d_]*)\.tar.bz2

## boost1.58 1.58.0+dfsg

=== libs/serialization/CMake/CMakeLists.txt ===
# CMake build control file for Serialization Library tests

cmake_minimum_required(VERSION 3.0)


if(Boost_USE_STATIC_LIBS)
  project("Serialization-Static")
else()
  project("Serialization-Shared")
endif()

#
# Compiler settings
#

message(STATUS "compiler is ${CMAKE_CXX_COMPILER_ID}" )

if( CMAKE_CXX_COMPILER_ID STREQUAL "GNU" )
  add_definitions( -ftemplate-depth=300 )
  # we use gcc to test for C++03 compatibility
  add_definitions( std=c++03 )
  message(STATUS "compiler is g++ c++03")
elseif( CMAKE_CXX_COMPILER_ID STREQUAL "MSVC" )
  add_definitions( /wd4996 )
  message(STATUS "compiler is MSVC")
elseif( CMAKE_CXX_COMPILER_ID STREQUAL "AppleClang" )
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ftemplate-depth=300")
  #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++98")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
  set(CMAKE_CXX_FLAGS_DEBUG "-g -O0" )
  set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-g -O3" )
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -stdlib=libc++ -dead_strip")
endif()

#
# IDE settings
#

if( CMAKE_HOST_APPLE )
  # note: it seems that bjam builds both address models in any case
  # so we can defer this decision to the IDE just as we do for debug/release
  # so we'll not use this now
  # set(Boost_ADDRESS_MODEL 64 CACHE INTEGER "32/64 bits")
  set(Boost_USE_STATIC_LIBS ON CACHE BOOL "Link to Boost static libraries")
  set(Boost_USE_MULTITHREADED ON)
else()
  set(Boost_ADDRESS_MODEL 64 CACHE INTEGER "32/64 bits")
  set(Boost_USE_STATIC_LIBS ON CACHE BOOL "Link to Boost static libraries")
  set(Boost_USE_MULTITHREADED ON)
endif()

#
# Locate Project Prerequisites 
#

# Boost

# note: we're assuming that boost has been built with:
# ./b2 —-layout=versioned toolset=clang-darwin link=static,shared variant=debug,release stage

###########################
# special notes for Xcode.

# these three should result in CMake setting the variables
# Boost_SERIALIZATION_LIBRARY_DEBUG … to the correct values.  

# But my current version of CMake doesn't automatically set the library names
# to point to the the libraries to be used.  The variables are created
# but they are not initialized.  So be prepared to set these variables by hand.
# If you want to use the static libraries - point to the boost libraries ending
# in ".a".  If you want to use the shared boost libraries - point to the libraries
# ending in ".dylib".

# But wait - there's more.
# if both lib.a and lib.dylib both exist in the library directory, Xcode will
# automatically chose the *.dylib one - and there's nothing you can do to fix this.
# So my recommendation is 
# a) to place the compiled libraries in two different directories
#    - e.g. stage/lib-static/*.a and stage/lib-shared/*.dylib
#    and set the CMake variable Boost_LIBRARY_DIR to point to one or the other
# b) create two different CMake build directories - build-static and build-shared
#    and switch between projects as desired.  I like to test both since
#    there are things like dead code elimination and visibility which vary
#    between the two environments.
#
#    caveat - as I write this, I've been unable to get the tests on the shared
#    library to function. Problem is that one needs to either put the shared
#    libraries in a special known place or set an environmental
#    variable which points to the shared library directory.  I prefer the latter
#    but I've been unable to figure out how to get Xcode to do on a global basis
#    and it's not practical to do this for 247 test targets one at a time.

# c) The targets in the project will by default be built as universal 32/64 binaries
#    I have yet to experiment with these yet so I just set the target to 64 bit.

# end special note for Xcode
############################

find_package(Boost REQUIRED COMPONENTS system filesystem)

if(Boost_FOUND)
    message(STATUS "Boost is ${BOOST_ROOT}")
    message(STATUS "Boost directories found at ${Boost_INCLUDE_DIRS}")
    message(STATUS "Boost libraries found at ${Boost_LIBRARY_DIRS}")
    message(STATUS "Boost component libraries to be linked are ${Boost_LIBRARIES}")
    message(STATUS "Boost version found is ${Boost_VERSION}")
    include_directories("../include" "${Boost_INCLUDE_DIRS}")
    link_directories("${Boost_LIBRARY_DIRS}")
elseif()
    message("Boost NOT Found!")
endif()

if(Boost_USE_STATIC_LIBS)
  set(BUILD_SHARED_LIBRARIES OFF)
else()
  set(BUILD_SHARED_LIBRARIES ON)
endif()

###########################
# library builds

add_library(serialization
  ../src/archive_exception.cpp
  ../src/basic_archive.cpp
  ../src/basic_iarchive.cpp
  ../src/basic_iserializer.cpp
  ../src/basic_oarchive.cpp
  ../src/basic_oserializer.cpp
  ../src/basic_pointer_iserializer.cpp
  ../src/basic_pointer_oserializer.cpp
  ../src/basic_serializer_map.cpp
  ../src/basic_text_iprimitive.cpp
  ../src/basic_text_oprimitive.cpp
  ../src/basic_xml_archive.cpp
  ../src/binary_iarchive.cpp
  ../src/binary_oarchive.cpp
  ../src/codecvt_null.cpp
  ../src/extended_type_info_no_rtti.cpp
  ../src/extended_type_info_typeid.cpp
  ../src/extended_type_info.cpp
  ../src/polymorphic_iarchive.cpp
  ../src/polymorphic_oarchive.cpp
  ../src/stl_port.cpp
  ../src/text_iarchive.cpp
  ../src/text_oarchive.cpp
  ../src/text_wiarchive.cpp
  ../src/text_woarchive.cpp
  ../src/utf8_codecvt_facet.cpp
  ../src/void_cast.cpp
  ../src/xml_archive_exception.cpp
  ../src/xml_iarchive.cpp
  ../src/xml_oarchive.cpp
  ../src/xml_grammar.cpp
  # ../src/basic_xml_grammar.ipp # doesn't show up in "Source Files" in Xcode"'
)

add_library(wserialization
  ../src/basic_text_wiprimitive.cpp
  ../src/basic_text_woprimitive.cpp
  ../src/text_wiarchive.cpp
  ../src/text_woarchive.cpp
  ../src/utf8_codecvt_facet.cpp
  ../src/xml_wiarchive.cpp
  ../src/xml_woarchive.cpp
  ../src/codecvt_null.cpp
  ../src/xml_wgrammar.cpp
)

# end library build
###########################

###########################
# test targets

function( serialization_test test_name)
  set(arglist)
  foreach(a IN ITEMS ${ARGN} )
    set(arglist ${arglist} ../test/${a}.cpp)
  endforeach()
  message(STATUS ${test_name})
  add_executable( ${test_name} ../test/${test_name}.cpp ${arglist} )
  target_link_libraries(${test_name} serialization wserialization ${Boost_LIBRARIES})
  add_test( ${test_name} ${test_name} )
endfunction(serialization_test)

function(archive_test test_name)
  set(arglist)
  foreach(a IN ITEMS ${ARGN} )
    set(arglist ${arglist} ../test/${a}.cpp)
  endforeach()
  foreach(
    archive-name
    IN ITEMS text_archive text_warchive binary_archive xml_archive xml_warchive
  )
    set(amended_test_name ${test_name}_${archive-name})
    message(STATUS ${amended_test_name})
    add_executable(${amended_test_name} ../test/${test_name}.cpp ${arglist})
    set_property(
      TARGET ${amended_test_name}
      PROPERTY COMPILE_DEFINITIONS BOOST_ARCHIVE_TEST=${archive-name}.hpp
    )
    target_link_libraries(${amended_test_name} serialization wserialization ${Boost_LIBRARIES})
    add_test(${amended_test_name} ${amended_test_name})
  endforeach()
endfunction(archive_test)

function(polymorphic_archive_test test_name)
  set(arglist)
  foreach(a IN ITEMS ${ARGN} )
    set(arglist ${arglist} ../test/${a}.cpp)
  endforeach()
  foreach(
    archive-name
    IN ITEMS text_archive text_warchive binary_archive xml_archive xml_warchive
  )
    set(amended_test_name ${test_name}_polymorphic_${archive-name})
    message(STATUS ${amended_test_name})
    add_executable(${amended_test_name} ../test/${test_name}.cpp ${arglist})
    set_property(
      TARGET ${amended_test_name}
      PROPERTY COMPILE_DEFINITIONS BOOST_ARCHIVE_TEST=polymorphic_${archive-name}.hpp
    )
    target_link_libraries(${amended_test_name} serialization wserialization ${Boost_LIBRARIES})
    add_test(${amended_test_name} ${amended_test_name})
  endforeach()
endfunction(polymorphic_archive_test)

enable_testing()

# serialization(test_dll_exported dll_polymorphic_derived2_lib)
# serialization(test_dll_simple dll_a_lib)
# compile test_dll_plugin.cpp
# Running the following test requires that the test know the directory 
# in which the dll is stored. I don't know how to extract this from bjam
# serialization(test_dll_plugin : : dll_polymorphic_derived2_lib)

serialization_test(test_private_ctor)
serialization_test(test_reset_object_address A)
serialization_test(test_void_cast)
serialization_test(test_mult_archive_types)
serialization_test(test_iterators)
serialization_test(test_iterators_base64)
serialization_test(test_inclusion)
serialization_test(test_smart_cast)
serialization_test(test_utf8_codecvt ../src/utf8_codecvt_facet)
serialization_test(test_codecvt_null ../src/codecvt_null)

archive_test(test_array A)
archive_test(test_binary)
archive_test(test_bitset)
archive_test(test_class_info_save)
archive_test(test_class_info_load)
archive_test(test_complex)
archive_test(test_contained_class A)
archive_test(test_cyclic_ptrs A)
archive_test(test_delete_pointer)
archive_test(test_deque A)
archive_test(test_derived)
archive_test(test_derived_class A)
archive_test(test_diamond)
archive_test(test_diamond_complex)
archive_test(test_exported polymorphic_base)
archive_test(test_helper_support)
archive_test(test_interrupts)
archive_test(test_list A)
archive_test(test_list_ptrs A)
archive_test(test_map A)
archive_test(test_mi)
archive_test(test_multiple_ptrs A)
archive_test(test_multiple_inheritance)
archive_test(test_no_rtti polymorphic_base polymorphic_derived1)
archive_test(test_new_operator A)
archive_test(test_non_intrusive)
archive_test(test_non_default_ctor)
archive_test(test_non_default_ctor2)
archive_test(test_null_ptr)
archive_test(test_nvp A)
archive_test(test_object)
archive_test(test_optional)
archive_test(test_primitive)
archive_test(test_priority_queue A)
# archive_test(test_private_base)
archive_test(test_queue A)
archive_test(test_recursion A)
archive_test(test_registered)
archive_test(test_set A)
archive_test(test_shared_ptr)
archive_test(test_shared_ptr_multi_base)
archive_test(test_shared_ptr_132)
archive_test(test_simple_class A)
archive_test(test_simple_class_ptr A)
archive_test(test_stack A)
archive_test(test_split)
archive_test(test_tracking)
archive_test(test_unregistered)
archive_test(test_unique_ptr)
archive_test(test_valarray)
archive_test(test_variant A)
archive_test(test_vector A)

polymorphic_archive_test(test_polymorphic test_polymorphic_A A )
polymorphic_archive_test(test_polymorphic2 test_polymorphic2imp)

# end test targets
####################

####################
# add headers in IDE

# for serialisation

file(GLOB x 
  RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" 
  "${CMAKE_CURRENT_SOURCE_DIR}/../include/boost/archive/*.hpp"
)
add_custom_target(archive SOURCES ${x})
set_property(TARGET archive PROPERTY FOLDER "serialization")

file(GLOB x 
  RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" 
  "${CMAKE_CURRENT_SOURCE_DIR}/../include/boost/archive/detail/*.hpp"
)
add_custom_target(archive-detail SOURCES ${x})
set_property(TARGET archive-detail PROPERTY FOLDER "serialization")

file(GLOB x 
  RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" 
  "${CMAKE_CURRENT_SOURCE_DIR}/../include/boost/archive/impl/*.ipp"
)
add_custom_target(archive-impl SOURCES ${x})
set_property(TARGET archive-impl PROPERTY FOLDER "serialization")

file(GLOB x
  RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" 
  "${CMAKE_CURRENT_SOURCE_DIR}/../include/boost/archive/iterators/*.hpp"
)
add_custom_target(archive-iterators SOURCES ${x})
set_property(TARGET archive-iterators PROPERTY FOLDER "serialization")

file(GLOB x 
  RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" 
  "${CMAKE_CURRENT_SOURCE_DIR}/../include/boost/serialization/*.hpp"
)
add_custom_target(serialization-headers SOURCES ${x})
set_property(TARGET serialization-headers PROPERTY FOLDER "serialization")

file(GLOB x 
  RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" 
  "${CMAKE_CURRENT_SOURCE_DIR}/../include/boost/serialization/detail/*.hpp"
)
add_custom_target(serialization-detail SOURCES ${x})

=== libs/graph/doc/figs/Makefile ===
# -*- makefile -*-
# Copyright (c) 2002 Trustees of Indiana University
#
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)

.SUFFIXES:  .fig .gif .tif .jpeg

.fig.gif:
	fig2dev -L gif $*.fig > $*.gif

.fig.tif:
	fig2dev -L tiff $*.fig > $*.tif

.fig.jpeg:
	fig2dev -L jpeg $*.fig > $*.jpg



FIG	= \
analogy.fig       dfs_example.fig             quick_start.fig \
back_edges.fig    dfs_family.fig              stl_iter.fig    \
bfs_example.fig   dfs_visitor.fig             tree_edges.fig  \
bfs_family.fig    disjoint_set_family.fig     visitor.fig     \
bfs_visitor.fig   file_dep.fig					    \
concepts.fig      forward_or_cross_edges.fig  digraph.fig     \
undigraph.fig     adj_matrix.fig              adj_list.fig    \
edge_list.fig     dfs.fig                     knights_tour.fig \
search_states.fig graph_search.fig


GIF	= $(FIG:.fig=.gif)
TIFF	= $(FIG:.fig=.tif)
JPEG	= $(FIG:.fig=.jpg)

gifs: $(GIF)
tiffs: $(TIFF)
jpegs: $(JPEG)

clean:
	/bin/rm -f *.gif *.tif *.jpg

=== debian/changelog ===
boost1.58 (1.58.0+dfsg-5ubuntu3) xenial; urgency=medium

  * Archive reorg - build all of boost from single source package.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 08 Apr 2016 13:24:11 +0100

boost1.58 (1.58.0+dfsg-5ubuntu2) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Build the MPI packages from separate sources.
  * libboost-coroutine1.58-dev: Depend on libboost-coroutine1.58.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Mar 2016 14:08:11 +0100

boost1.58 (1.58.0+dfsg-5) unstable; urgency=medium

  * Build Coroutine shared lib.  Closes: #802509.
  * patches/no-gcc-march-options.patch: New.  Don't use -march=i686 for
    x86 32-bit.  Closes: #794622.

 -- Steve M. Robbins <smr@debian.org>  Mon, 28 Dec 2015 00:19:48 -0600

boost1.58 (1.58.0+dfsg-4.1ubuntu3) xenial; urgency=medium

  * No-change rebuild to match package version of the mpi package.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2016 13:09:38 +0100

boost1.58 (1.58.0+dfsg-4.1ubuntu2) xenial; urgency=medium

  * No-change rebuild to match package version of the mpi package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Feb 2016 12:44:52 +0100

boost1.58 (1.58.0+dfsg-4.1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable (LP: #1525525).  Remaining changes:
    - Build the MPI packages from separate sources.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Dec 2015 15:14:53 +0100

boost1.58 (1.58.0+dfsg-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to replace minified jquery with its non-minified version, as the
  * source was missing. (Closes: #735353)

 -- Tobias Frost <tobi@debian.org>  Sat, 21 Nov 2015 14:24:59 +0100

boost1.58 (1.58.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * patches/openssl-no-ssl3.patch. Throw exception if sslv3 context
    requested but OPENSSL_NO_SSL3 defined (Closes: #803881).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Nov 2015 11:41:19 +0100

boost1.58 (1.58.0+dfsg-3.1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Build the MPI packages from separate sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Oct 2015 13:46:32 +0200

boost1.58 (1.58.0+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS of ompl against boost1.58 by gcc5. (Closes: #797281)

 -- Anton Gladky <gladk@debian.org>  Sat, 03 Oct 2015 19:58:02 +0200

boost1.58 (1.58.0+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 02 Aug 2015 17:31:54 +0100

boost1.58 (1.58.0+dfsg-2) experimental; urgency=medium

  [ Dimitri John Ledkov ]
  * Cherry-pick upstream patch to fix FTBFS on sparc.

  [ Matthias Klose ]
  * boost-context-use-sysv-not-aapcs.patch: Fix build on AArch64 (Ed Nevill).

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sat, 25 Jul 2015 15:18:57 +0100

boost1.58 (1.58.0+dfsg-1) experimental; urgency=medium

  [ Matthias Klose ]
  * New upstream release.
  * d/p/hurd-clock-gettime.patch: Remove, applied upstream.
  * Update d/documentation-files.
  * Don't call the compiler with -m{32,64} explicitly.
  * Build using ICU 55.1

  [ Dimitri John Ledkov ]
  * Include 1.58 known issues patches.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Mon, 20 Jul 2015 22:45:34 +0100

boost1.58 (1.58.0+dfsg-0ubuntu5) wily; urgency=medium

  * Apply upstream patches:
    - 0001-Fix-exec_file-for-Python-3-3.4.patch (not applied, breaks with 3.4).
    - 0002-Fix-a-regression-with-non-constexpr-types.patch
  * boost-context-use-sysv-not-aapcs.patch: Fix build on AArch64 (Ed Nevill).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Jul 2015 15:39:21 +0200

boost1.58 (1.58.0+dfsg-0ubuntu3) wily; urgency=medium

  * Build without MPI.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 21 Jul 2015 20:02:13 +0200

boost1.58 (1.58.0+dfsg-0ubuntu2) wily; urgency=medium

  * New upstream release.
  * d/p/hurd-clock-gettime.patch: Remove, applied upstream.
  * Update d/documentation-files.
  * Don't call the compiler with -m{32,64} explicitly.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Jul 2015 20:20:42 +0200

boost1.57 (1.57.0+dfsg-2ubuntu2) wily; urgency=medium

  * Build using ICU 55.1.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 18 Jul 2015 11:37:33 +0200

boost1.57 (1.57.0+dfsg-2ubuntu1) wily; urgency=medium

  * Lower build dependency on g++.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jul 2015 19:15:32 +0200

boost1.57 (1.57.0+dfsg-2) experimental; urgency=medium

  * Build with C++11 ABI, and gcc-5.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Tue, 30 Jun 2015 10:18:19 +0100

boost1.57 (1.57.0+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Thu, 12 Mar 2015 00:47:08 +0000

boost1.55 (1.55.0+dfsg-3) unstable; urgency=medium

  * patches/boost-1.55-128bit_int_support.patch: New. Patch fixing build
    where 128-bit integer not supported, cherry-picked from upstream.
    Closes: #758892.
  
  * patches/ppc64el-fp_traits-ibm-long-double.patch: New.  Patch removing
    fp_traits_non_native for long double on powerPC, which is apparently
    broken.  Closes: #761926.

  * control.in, control: Update vcs URLs.
  
 -- Steve M. Robbins <smr@debian.org>  Thu, 18 Sep 2014 22:45:15 -0500

boost1.55 (1.55.0+dfsg-2) unstable; urgency=medium

  * Disable pch on arm64, to avoid FTBFS. (Closes: #750956)
  * Speed up qemu-static builds a little, by not working perl many times
    when computing version strings to use.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 10 Jun 2014 10:16:51 +0100

boost1.55 (1.55.0+dfsg-1) unstable; urgency=medium

  * Convert debian/copyright to copyright-format 1.0.
  * Use Uscan extension https://wiki.debian.org/UscanEnhancements to
    declare excluded file (W3C validation icon)
  * Use uscan to download current version of boost, and thus


=== debian/control ===
Source: boost1.58
Homepage: http://www.boost.org/
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), dctrl-tools,
 zlib1g-dev, libbz2-dev, libicu-dev (>= 55), mpi-default-dev,
 bison, flex, docbook-to-man, help2man, xsltproc, doxygen, 
 dh-python,
 g++ (>= 4:5-0), g++-5 (>= 5.2.1-11),
 python, python-all-dev, 
 python3, python3-all-dev (>= 3.1)
Build-Conflicts: libopenmpi-dev (= 1.3.2-2)
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-boost/boost/
Vcs-Svn: svn://anonscm.debian.org/pkg-boost/boost/
Standards-Version: 3.9.5

Package: libboost1.58-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: ${misc:Depends}, ${shlibs:Depends}, libboost1.58-dev (= ${binary:Version})
Conflicts: libboost1.42-dbg, libboost1.46-dbg, libboost1.48-dbg, libboost1.49-dbg, libboost1.50-dbg, libboost1.52-dbg, libboost1.53-dbg, libboost1.54-dbg, libboost1.55-dbg, libboost1.57-dbg
Description: Boost C++ Libraries with debug symbols
 This package forms part of the Boost C++ Libraries collection.
 .
 These libraries are built with debug symbols. They are useful to debug
 programs which use Boost. These must be used also at build/link time.

Package: libboost1.58-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, libstdc++-4.8-dev | libstdc++-dev
Suggests: libboost1.58-doc,
 libboost-atomic1.58-dev,
 libboost-chrono1.58-dev,
 libboost-context1.58-dev,
 libboost-coroutine1.58-dev,
 libboost-date-time1.58-dev,
 libboost-exception1.58-dev,
 libboost-filesystem1.58-dev,
 libboost-graph1.58-dev,
 libboost-graph-parallel1.58-dev,
 libboost-iostreams1.58-dev,
 libboost-locale1.58-dev,
 libboost-log1.58-dev,
 libboost-math1.58-dev,
 libboost-mpi1.58-dev,
 libboost-mpi-python1.58-dev,
 libboost-program-options1.58-dev,
 libboost-python1.58-dev,
 libboost-random1.58-dev,
 libboost-regex1.58-dev,
 libboost-serialization1.58-dev,
 libboost-signals1.58-dev,
 libboost-system1.58-dev,
 libboost-test1.58-dev,
 libboost-thread1.58-dev,
 libboost-timer1.58-dev,
 libboost-wave1.58-dev,
 libboost1.58-tools-dev,
 libmpfrc++-dev, libntl-dev
Conflicts: bjam, boost-build, libboost1.42-dev, libboost1.46-dev, libboost1.48-dev, libboost1.49-dev, libboost1.50-dev, libboost1.52-dev, libboost1.53-dev, libboost1.54-dev, libboost1.55-dev, libboost1.57-dev
Description: Boost C++ Libraries development files
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This package provides headers for all Boost libraries.
 .
 Extended precision arithmetic package libmpfrc++-dev or libntl-dev is
 required to use the Boost.Multiprecision wrapping of the respective
 library.
 .
 For the following subprojects separate packages exist: chrono,
 date-time, exception filesystem, graph, iostreams, locale, math, mpi,
 program_options, python, regex, serialization, signals, system, test,
 thread, timer, and wave.

Package: libboost1.58-tools-dev
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: xsltproc,
 doxygen,
 docbook-xml (>= 4.2),
 docbook-xsl (>= 1.73.2),
 default-jdk (>= 1.4),
 fop (>= 0.94)
Conflicts: bjam, boost-build, libboost1.49-dev, libboost1.53-tools-dev, libboost1.54-tools-dev, libboost1.55-tools-dev, libboost1.57-tools-dev
Replaces: bjam, boost-build, libboost1.49-dev, libboost1.53-dev, libboost1.53-tools-dev
Description: Boost C++ Libraries development tools
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This package provides the auxiliary tools bjam, Boost.Build, bcp,
 inspect, boostbook and quickbook.

Package: libboost1.58-all-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost1.58-dev,
 libboost1.58-tools-dev,
 libboost-atomic1.58-dev,
 libboost-chrono1.58-dev,
 libboost-context1.58-dev,
 libboost-coroutine1.58-dev,
 libboost-date-time1.58-dev,
 libboost-exception1.58-dev,
 libboost-filesystem1.58-dev,
 libboost-graph1.58-dev,
 libboost-graph-parallel1.58-dev,
 libboost-iostreams1.58-dev,
 libboost-locale1.58-dev,
 libboost-log1.58-dev,
 libboost-math1.58-dev,
 libboost-mpi1.58-dev,
 libboost-mpi-python1.58-dev,
 libboost-program-options1.58-dev,
 libboost-python1.58-dev,
 libboost-random1.58-dev,
 libboost-regex1.58-dev,
 libboost-serialization1.58-dev,
 libboost-signals1.58-dev,
 libboost-system1.58-dev,
 libboost-test1.58-dev,
 libboost-thread1.58-dev,
 libboost-timer1.58-dev,
 libboost-wave1.58-dev
Description: Boost C++ Libraries development files (ALL)
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This metapackage provides the complete Boost development environment,
 including all separately-packaged libraries.

Package: libboost1.58-doc
Homepage: http://www.boost.org/libs/
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libboost1.58-dev (>= ${source:Version})
Conflicts: libboost1.42-doc, libboost1.46-doc, libboost1.48-doc, libboost1.49-doc, libboost1.50-doc, libboost1.52-doc, libboost1.53-doc, libboost1.54-doc, libboost1.55-doc, libboost1.57-doc
Description: Boost.org libraries documentation
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This is documentation for the boost libraries in HTML format.
 Some pages point to header files provided in the corresponding -dev package,
 so it is suggested to install the latter as well.

Package: libboost-atomic1.58.0
Homepage: http://www.boost.org/libs/atomic/
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: atomic data types, operations, and memory ordering constraints
 This package forms part of the Boost C++ Libraries collection.
 .
 Boost.Atomic is a library that provides atomic data types and
 operations on these data types, as well as memory ordering
 constraints required for coordinating multiple threads through atomic
 variables. It implements the interface as defined by the C++11
 standard, but makes this feature available for platforms lacking
 system/compiler support for this particular C++11 feature.
 .
 Users of this library should already be familiar with concurrency in
 general, as well as elementary concepts such as "mutual exclusion".
 .
 The implementation makes use of processor-specific instructions where
 possible (via inline assembler, platform libraries or compiler
 intrinsics), and falls back to "emulating" atomic operations through
 locking.

Package: libboost-atomic1.58-dev
Homepage: http://www.boost.org/libs/atomic/
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
 libboost1.58-dev (= ${binary:Version}),
 libboost-atomic1.58.0 (= ${binary:Version})
Description: atomic data types, operations, and memory ordering constraints
 This package forms part of the Boost C++ Libraries collection.
 .
 Boost.Atomic is a library that provides atomic data types and
 operations on these data types, as well as memory ordering
 constraints required for coordinating multiple threads through atomic
 variables. It implements the interface as defined by the C++11
 standard, but makes this feature available for platforms lacking
 system/compiler support for this particular C++11 feature.
 .
 Users of this library should already be familiar with concurrency in
 general, as well as elementary concepts such as "mutual exclusion".
 .
 The implementation makes use of processor-specific instructions where
 possible (via inline assembler, platform libraries or compiler
 intrinsics), and falls back to "emulating" atomic operations through
 locking.
Conflicts: libboost-atomic1.53-dev, libboost-atomic1.54-dev, libboost-atomic1.55-dev, libboost-atomic1.57-dev

Package: libboost-chrono1.58.0
Homepage: http://www.boost.org/libs/chrono/
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: C++ representation of time duration, time point, and clocks
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.Chrono library provides:
 .
  * A means to represent time durations: managed by the generic duration
    class.Examples of time durations include days, minutes, seconds and
    nanoseconds, which can be represented with a fixed number of clock
    ticks per unit. All of these units of time duration are united with
    a generic interface by the duration facility.
  * A type for representing points in time: time_point. A time_point
    represents an epoch plus or minus a duration. The library leaves
    epochs unspecified. A time_point is associated with a clock.
  * Several clocks, some of which may not be available on a particular
    platform: system_clock, steady_clock and high_resolution_clock. A
    clock is a pairing of a time_point and duration, and a function
    which returns a time_point representing now.
 .
 To make the timing facilities more generally useful, Boost.Chrono
 provides a number of clocks that are thin wrappers around the
 operating system's time APIs, thereby allowing the extraction of wall
 clock time, user CPU time, system CPU time spent by the process:
 .
  * process_real_cpu_clock, captures wall clock CPU time spent by the
    current process.
  * process_user_cpu_clock, captures user-CPU time spent by the current
    process.
  * process_system_cpu_clock, captures system-CPU time spent by the
    current process.
  * a tuple-like class process_cpu_clock, that captures real, user-CPU,
    and system-CPU process times together.
  * a thread_clock thread steady clock giving the time spent by the
    current thread (when supported by a platform).
 .
 Lastly, Boost.Chrono includes typeof registration for duration and
 time_point to permit using emulated auto with C++03 compilers.

Package: libboost-chrono1.58-dev
Homepage: http://www.boost.org/libs/chrono/
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
 libboost1.58-dev (= ${binary:Version}),
 libboost-chrono1.58.0 (= ${binary:Version})

=== debian/rules ===
#! /usr/bin/make -f

WITHOUT_MPI:=no
JUST_MPI:=no
with_mpi:=--with-mpi
MPI_CONFIG = "using mpi ;"

# Boost libraries for which we want separate packages
# context is conditionally compiled because it is not supported yet on several architectures
# coroutine depends on context, so it is also conditionally compiled
boost_libs := atomic chrono date-time exception filesystem		\
              graph graph-parallel iostreams locale log math mpi	\
              mpi-python program-options python random regex		\
              serialization signals system test thread timer wave

ifeq ($(WITHOUT_MPI),yes)
boost_libs := $(filter-out graph-parallel mpi mpi-python, $(boost_libs))
with_mpi:=
MPI_CONFIG:=
export DH_OPTIONS+=$(addprefix -N,$(shell dh_listpackages | grep -e graph-parallel -e mpi -e all-dev))
endif

ifeq ($(JUST_MPI),yes)
boost_libs := graph-parallel mpi mpi-python
export DH_OPTIONS+=$(addprefix -N,$(shell dh_listpackages | grep -v -e graph-parallel -e mpi -e all-dev))
endif

# these are special cases, where /usr/lib name differs from Boost library name
boost_lib_log := log log_setup
boost_lib_math := math_c99 math_c99f math_tr1 math_tr1f
boost_lib_math_long_double := math_c99l math_tr1l
boost_lib_serialization := serialization wserialization
boost_lib_test := prg_exec_monitor test_exec_monitor unit_test_framework

pyversions = $(shell pyversions -rv) $(shell py3versions -rv)

# These are special cases for suffixes.  Generally come from --python-buildid, so begin with a dash.
boost_suffixes_python := $(addprefix -py,$(subst .,,$(pyversions)))
boost_suffixes_mpi-python := $(boost_suffixes_python)

# Files that are generated by filtering a template
filtered_files = \
	debian/libboost-doc.doc-base

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

%:
	dh $@ --with python2 --with python3

override_dh_auto_configure: user-config.jam make-debhelper

override_dh_auto_build: $(bjam) debian/bjam.1
	$(JAM) $(JAM_WITHOUT) --without-python
	for pyver in $(pyversions); do \
	 	pyid=$$(echo $$pyver | tr -d .); \
		echo "Building Boost.Python for python version $$pyver"; \
	 	$(JAM) --with-python $(with_mpi) --python-buildid=py$$pyid python=$$pyver; \
	 	mv stage/lib/mpi.so stage/lib/mpi-py$$pyid.so || true; \
	done

	cd $(bbv2dir) && ./bootstrap.sh --with-toolset=gcc
	cd tools/bcp && $(JAM)
	cd tools/inspect/build && $(JAM)
	cd tools/quickbook && $(JAM)
	# No longer part of boost 1.56+
	# cd tools/wave/build && $(JAM)
	# No longer part of boost 1.58+
	# cd tools/regression/build && $(JAM)
	cd libs/python/pyste/install && python setup.py build

testsuite:
	cd status && $(JAM) $(JAM_WITHOUT)

override_dh_auto_clean: clean-debhelper
	-cd tools && $(JAM) clean
	-$(JAM) clean
	-cd libs/python/pyste/install && python setup.py clean
	rm -rf libs/python/pyste/install/build
	rm -rf tools/jam/src/bootstrap
	rm -rf tools/jam/src/bin.*
	rm -ff tools/jam/src/bjam
	rm -rf tools/regression/build/bin
	rm -rf bin.v2 dist
	rm -rf user-config.jam
	rm -rf debian/bjam.1
ifeq ($(WITHOUT_MPI),yes)
	grep-dctrl -FPackage -v mpi -o -FPackage graph-parallel -o -FPackage all-dev debian/control.in > debian/control
	sed -i "s/mpi-default-dev,//" debian/control
else
	cp debian/control.in debian/control
endif
ifeq ($(JUST_MPI),yes)
	sed -i "s/mpi-default-dev,/mpi-default-dev, libboost-serialization$(PKGVERSION)-dev, libboost-python$(PKGVERSION)-dev,/" debian/control
endif
	dh_auto_clean

override_dh_compress:
	dh_compress -Xlibboost$(PKGVERSION)-doc/HTML

override_dh_install:
	$(JAM) --prefix=$(CURDIR)/debian/tmp/usr $(JAM_WITHOUT) \
		--libdir=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) \
		--without-python install
	for pyver in $(pyversions); do \
		pyid=`echo $$pyver | tr -d .`; \
		$(JAM) --prefix=$(CURDIR)/debian/tmp/usr \
			--libdir=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) \
			install --with-python $(with_mpi) --python-buildid=py$$pyid python=$$pyver; \
	done

	# Install Boost.Build v2 & jam
	cd $(bbv2dir) && ./bjam install --prefix=$(CURDIR)/debian/tmp/usr --libdir=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/share/boost-build/example debian/boost-build-examples

	find debian/tmp/usr/include debian/tmp/usr/share/boost-build -type f | xargs chmod 644
	find debian/tmp -name .cvsignore | xargs rm -f
	find debian -empty -type f | xargs rm -f

	# package libboost-dbg

	# package libboost$(PKGVERSION)-dev
	dh_install -plibboost$(PKGVERSION)-dev \
	   debian/tmp/usr/include/boost \
	   usr/include
	dh_install -plibboost$(PKGVERSION)-tools-dev \
	   debian/tmp/usr/bin/bjam \
	   dist/bin/bcp \
	   dist/bin/inspect \
	   dist/bin/quickbook \
	   usr/bin
	dh_installman -plibboost$(PKGVERSION)-tools-dev debian/bjam.1 debian/bcp.1 debian/inspect.1 debian/quickbook.1
	dh_install -plibboost$(PKGVERSION)-tools-dev tools/boostbook/xsl/* usr/share/boostbook/xsl
	dh_install -plibboost$(PKGVERSION)-tools-dev tools/boostbook/dtd/* usr/share/boostbook/dtd
	dh_install -plibboost$(PKGVERSION)-tools-dev debian/tmp/usr/share/boost-build

	# package libboost-date-time$(PKGVERSION)-dev
	dh_installdocs -plibboost-date-time$(PKGVERSION)-dev libs/date_time/data

	# package libboost-doc
	rm -rf $(htmldir)
	mkdir -p $(htmldir) 
	cat debian/documentation-files | xargs cp --parents --target-directory=$(htmldir)
	find doc libs -name doc | xargs -n1 cp --archive --parents --target-directory=$(htmldir)
	rm -rf $(htmldir)/boost
	dh_link -plibboost$(PKGVERSION)-doc \
	   usr/include/boost \
	   usr/share/doc/libboost$(PKGVERSION)-doc/HTML/boost
	# provide a constant symlink to the latest documents and examples
	dh_link -plibboost$(PKGVERSION)-doc \
	   usr/share/doc/libboost$(PKGVERSION)-doc/HTML \
	   usr/share/doc/libboost-doc/HTML
	dh_link -plibboost$(PKGVERSION)-doc \
	   usr/share/doc/libboost$(PKGVERSION)-doc/examples \
	   usr/share/doc/libboost-doc/examples

	dh_link -plibboost-python$(PKGVERSION)-dev \
	   usr/lib/$(DEB_HOST_MULTIARCH)/libboost_python-py27.a \
	   usr/lib/$(DEB_HOST_MULTIARCH)/libboost_python.a
	dh_link -plibboost-python$(PKGVERSION)-dev \
	   usr/lib/$(DEB_HOST_MULTIARCH)/libboost_python-py27.so \
	   usr/lib/$(DEB_HOST_MULTIARCH)/libboost_python.so

	dh_link -plibboost-mpi-python$(PKGVERSION)-dev \
	   usr/lib/$(DEB_HOST_MULTIARCH)/libboost_mpi_python-py27.a \
	   usr/lib/$(DEB_HOST_MULTIARCH)/libboost_mpi_python.a
	dh_link -plibboost-mpi-python$(PKGVERSION)-dev \
	   usr/lib/$(DEB_HOST_MULTIARCH)/libboost_mpi_python-py27.so \
	   usr/lib/$(DEB_HOST_MULTIARCH)/libboost_mpi_python.so

	dh_installexamples -plibboost$(PKGVERSION)-doc debian/boost-build-examples
	mkdir -p $(exampledir)
	cat debian/example-files | xargs cp -a --parents --target-directory=$(exampledir)
	find $(exampledir) -type f | xargs chmod 644

	# package libboost-mpi-python$(SOVERSION)
	dh_install -plibboost-mpi-python$(SOVERSION)
	for pyver in $(pyversions); do \
		pyid=`echo $$pyver | tr -d .`; \
		dh_install -plibboost-mpi-python$(SOVERSION) libs/mpi/build/__init__.py usr/lib/python$$pyver/site-packages/boost; \
		dh_installdirs -plibboost-mpi-python$(SOVERSION) usr/lib/python$$pyver/site-packages/boost; \
		cp stage/lib/mpi-py$$pyid.so debian/libboost-mpi-python$(SOVERSION)/usr/lib/python$$pyver/site-packages/boost/mpi.so || true; \
	done

	cd libs/python/pyste/install && python setup.py install --no-compile --prefix=$(pyste_prefix) --install-lib=$(pyste_prefix)/share/pyshared
	mv $(pyste_prefix)/bin/pyste.py $(pyste_prefix)/bin/pyste
	dh_installman -plibboost-python$(PKGVERSION)-dev debian/pyste.1

	dh_install

override_dh_strip:
ifeq ($(JUST_MPI),no)
	dh_strip --dbg-package=libboost$(PKGVERSION)-dbg -X"-d-"
else
	dh_strip -X"-d-"
endif


# set the number of build jobs
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  JOBS := -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

version_full := $(shell dpkg-parsechangelog | grep Version | cut -d' ' -f2)
